org.apache.ignite.internal.binary

## Class BinaryArrayIdentityResolver

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryAbstractIdentityResolver
  - - org.apache.ignite.internal.binary.BinaryArrayIdentityResolver

All Implemented Interfaces:
  BinaryIdentityResolver

    public class BinaryArrayIdentityResolver
    extends BinaryAbstractIdentityResolver

Identity resolver implementation which compares raw array content of the binary object.

Hash code is calculated in the same way as `Arrays.hashCode(byte[])` does.

### Constructor Summary

Constructors
Constructor and Description
`BinaryArrayIdentityResolver()` Default constructor.

### Method Summary

Methods
`protected boolean` `equals0(BinaryObject o1, BinaryObject o2)` Internal equals routine.
`protected int` `hashCode0(BinaryObject obj)` Internal hash code routine.
`static BinaryArrayIdentityResolver` `instance()` Get singleton instance.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.binary.BinaryAbstractIdentityResolver

`equals, hashCode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BinaryArrayIdentityResolver

    public BinaryArrayIdentityResolver()

Default constructor.

### Method Detail

#### instance

    public static BinaryArrayIdentityResolver instance()

Get singleton instance.

Returns:
  Singleton instance.

#### hashCode0

    protected int hashCode0(BinaryObject obj)

Internal hash code routine.

Specified by:
  `hashCode0` in class `BinaryAbstractIdentityResolver`
Parameters:
  `obj` - Object.
Returns:
  Result.

#### equals0

    protected boolean equals0(BinaryObject o1,
                  BinaryObject o2)

Internal equals routine.

Specified by:
  `equals0` in class `BinaryAbstractIdentityResolver`
Parameters:
  `o1` - First object.
  `o2` - Second object.
Returns:
  Result.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017